Bug 180532 - Review Request: perl-UNIVERSAL-can
Review Request: perl-UNIVERSAL-can
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-08 15:40 EST by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-18 11:39:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
build.log from mock (6.19 KB, text/plain)
2006-02-08 22:43 EST, Jason Tibbitts
no flags Details

  None (edit)
Description Jose Pedro Oliveira 2006-02-08 15:40:36 EST
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-UNIVERSAL-can.spec

SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-UNIVERSAL-can-1.03-1.src.rpm

Description:
The UNIVERSAL class provides a few default methods so that all objects
can use them. Object orientation allows programmers to override these
methods in subclasses to provide more specific and appropriate behavior.

Some authors call methods in the UNIVERSAL class on potential invocants
as functions, bypassing any possible overriding. This is wrong and you
should not do it. Unfortunately, not everyone heeds this warning and
their bad code can break your good code.

Note:
This a new requirement of perl-Test-MockObject (which is tagged for an update)
Comment 1 Jason Tibbitts 2006-02-08 16:14:41 EST
This package has BuildRequires: perl(Test::Simple) >= 0.60, which I can't
satisfy on FC4.  I suppose this is a perl 5.8.8 thing, which means that this
package will never build on FC4.

After commenting out the above BuildRequires: line, I find an unsatisfied
dependency on Perl(Test::Exception), which I can fulfill from extras.

I'll set up a mock build so I can test this with the current development release.

Comment 2 Jason Tibbitts 2006-02-08 22:42:38 EST
Yep, a mock build with the current development tree dies due to the failed
Test::Exception dependency.  I'll attach the build log.

I hacked a bit to build an SRPM that with that additional dependency but it
still failed many of the tests.

I wonder if I'm doing something wrong.  How did you get this to build?
Comment 3 Jason Tibbitts 2006-02-08 22:43:57 EST
Created attachment 124422 [details]
build.log from mock
Comment 4 Jose Pedro Oliveira 2006-02-10 05:22:58 EST
Jason,

I messed up and tested the previous specfile in the wrong system. The previous
specfile didn't build correctely in devel (perl 5.8.8/Sup::Uplevel/Test::Warn
problems).

Right now there are two new versions of UNIVERSAL::can in CPAN and at least the
latest one passes all tests in devel (according to the Changelog it now includes
workarounds to the weird problems in Test::Warn).  I believe the problems are
due to Sub::Uplevel in perl 5.8.8 (the test suite generates a lot of noise) but
I only have time to look into it next week.

Diff from UNIVERSAL-can-1.03 to UNIVERSAL-can-1.11
http://search.cpan.org/diff?from=UNIVERSAL-can-1.03&to=UNIVERSAL-can-1.11

New SRPM:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-UNIVERSAL-can-1.11-1.src.rpm

The specfile link is the same.

jpo
Comment 5 Jason Tibbitts 2006-02-12 18:13:31 EST
This package builds cleanly in mock, but on the devel branch only due to the
Test::Simple >= 0.60 requirement.  As far as I can tell there is no requirement
that packages build on the release branch so this is not a blocker.  However, I
just commented out the Test::Simple requirement and the package built fine and
passes all tests on FC4 and FC3.

rpmlint is silent.
The package meets the naming and packaging guidelines.
The specfile is properly named and follows the recomment Perl template.
The source file matches upstream and provided signatures verify with cpansign -v.
Licence: tag is proper and matches the package.
BuildRequires: is proper.

Approved, but you might want to investigate dropping the Test::Simple
requirement altogether and building the package on the release branch.
Comment 6 Jose Pedro Oliveira 2006-02-18 11:39:33 EST
Built for devel only.

I am also targeting the perl-test-MockObject to devel only.

Note You need to log in before you can comment on or make changes to this bug.